<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright (c) 2015 Cisco and/or its affiliates. Licensed under the Apache
    License, Version 2.0 (the "License"); you may not use this file except in
    compliance with the License. You may obtain a copy of the License at: http://www.apache.org/licenses/LICENSE-2.0
    Unless required by applicable law or agreed to in writing, software distributed
    under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES
    OR CONDITIONS OF ANY KIND, either express or implied. See the License for
    the specific language governing permissions and limitations under the License. -->
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <groupId>com.orange.honeynode</groupId>
        <artifactId>honeynode-plugin-aggregator</artifactId>
        <version>7.1.10-SNAPSHOT</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>
    <artifactId>honeynode-plugin-api</artifactId>
    <name>honeynode-plugin-api</name>
    <packaging>bundle</packaging>
    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>io.fd.honeycomb.common</groupId>
                <artifactId>api-parent</artifactId>
                <version>${honeycomb.version}</version>
            </dependency>
        </dependencies>
    </dependencyManagement>
    <dependencies>
          <dependency>
        <groupId>com.google.guava</groupId>
        <artifactId>guava</artifactId>
      </dependency>
            <dependency>
        <groupId>org.opendaylight.mdsal</groupId>
        <artifactId>yang-binding</artifactId>
      </dependency>
    </dependencies>
    <build>
        <plugins>
            <plugin>
                <groupId>org.codehaus.mojo</groupId>
                <artifactId>build-helper-maven-plugin</artifactId>
                <version>1.1</version>
                <executions>
                    <execution>
                        <id>add-source</id>
                        <phase>generate-sources</phase>
                        <goals>
                            <goal>add-source</goal>
                        </goals>
                        <configuration>
                            <sources>
                                <source>target/generated-sources/mdsal-binding</source>
                            </sources>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
        <plugin>
          <groupId>org.opendaylight.yangtools</groupId>
          <artifactId>yang-maven-plugin</artifactId>
          <version>2.1.8</version>
          <executions>
            <execution>
              <id>binding</id>
              <goals>
                <goal>generate-sources</goal>
              </goals>
              <configuration>
                <codeGenerators>
                  <generator>
                    <codeGeneratorClass>org.opendaylight.mdsal.binding.maven.api.gen.plugin.CodeGeneratorImpl</codeGeneratorClass>
                    <outputBaseDir>target/generated-sources/mdsal-binding</outputBaseDir>
                  </generator>
                </codeGenerators>
                <inspectDependencies>true</inspectDependencies>
              </configuration>
            </execution>
          </executions>
          <dependencies>
            <dependency>
              <groupId>org.opendaylight.mdsal</groupId>
              <artifactId>maven-sal-api-gen-plugin</artifactId>
              <version>0.13.2</version>
              <scope>compile</scope>
            </dependency>
          </dependencies>
        </plugin>
        </plugins>
    </build>
</project>
